VERSION 5.00
Begin VB.Form Form2 
   Caption         =   "RSP Software"
   ClientHeight    =   1440
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   Icon            =   "Form2.frx":0000
   LinkTopic       =   "Form2"
   ScaleHeight     =   1440
   ScaleWidth      =   4680
   StartUpPosition =   2  'CenterScreen
   Begin VB.CheckBox Check3 
      Caption         =   "Don't use any aspi driver"
      Height          =   255
      Left            =   240
      TabIndex        =   2
      Top             =   960
      Width           =   2175
   End
   Begin VB.CheckBox Check2 
      Caption         =   "Use native WinNT aspi driver"
      Height          =   255
      Left            =   240
      TabIndex        =   1
      Top             =   720
      Width           =   2775
   End
   Begin VB.CheckBox Check1 
      Caption         =   "Use WNASPI32.DLL"
      Height          =   255
      Left            =   240
      TabIndex        =   0
      Top             =   480
      Width           =   2175
   End
   Begin VB.Label Label1 
      Caption         =   "Aspi driver selection"
      Height          =   255
      Left            =   240
      TabIndex        =   3
      Top             =   240
      Width           =   1935
   End
End
Attribute VB_Name = "Form2"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub Check1_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    
    Check1.Value = 1
    Check2.Value = 0
    Check3.Value = 0
    
    
    'Valid values are:
    'aspi = to use the dll WNASPI32.dll to access the drive(s)
    'native = to use the embedded Winnt aspi driver to access the drive(s)
    'none = to don't use any driver to access the drive(s) , it will fail , of course
    Form1.RSPCDDA1.SelectAspiMode "aspi"
    
    
    'GetNumberOfAdapters  returns the number of host SCSI adapters present.
    Form1.Label1.Caption = "Number of adapters: " & Form1.RSPCDDA1.GetNumberOfAdapters
    
    Form1.Label2.Caption = "Number of CD units: " & Form1.RSPCDDA1.GetNumberOfCDUnits
    
    Form1.Label13.Caption = "Aspi mode:  " & Form1.RSPCDDA1.GetAspiMode
    
    Form1.List1.Clear
    Form1.List2.Clear
    Form1.List3.Clear
    
    'This function will force the raise of the event CDUnitInformation
    'with the description of the valid CD units in the system
    Form1.RSPCDDA1.GetCDUnitInformation
    
    'Initializing the cd unit selection variable to an invalid value
    CdUnitSelection = -1
    
End Sub

Private Sub Check2_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    Check1.Value = 0
    Check2.Value = 1
    Check3.Value = 0
    
    
    
    'Valid values are:
    'aspi = to use the dll WNASPI32.dll to access the drive(s)
    'native = to use the embedded Winnt aspi driver to access the drive(s)
    'none = to don't use any driver to access the drive(s) , it will fail , of course
    Form1.RSPCDDA1.SelectAspiMode "native"
    
    
    'GetNumberOfAdapters  returns the number of host SCSI adapters present.
    Form1.Label1.Caption = "Number of adapters: " & Form1.RSPCDDA1.GetNumberOfAdapters
    
    Form1.Label2.Caption = "Number of CD units: " & Form1.RSPCDDA1.GetNumberOfCDUnits
    
    Form1.Label13.Caption = "Aspi mode:  " & Form1.RSPCDDA1.GetAspiMode
    
    Form1.List1.Clear
    Form1.List2.Clear
    Form1.List3.Clear
    
    'This function will force the raise of the event CDUnitInformation
    'with the description of the valid CD units in the system
    Form1.RSPCDDA1.GetCDUnitInformation
    
    'Initializing the cd unit selection variable to an invalid value
    CdUnitSelection = -1
    
    
End Sub



Private Sub Check3_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    Check1.Value = 0
    Check2.Value = 0
    Check3.Value = 1
    
    'Valid values are:
    'aspi = to use the dll WNASPI32.dll to access the drive(s)
    'native = to use the embedded Winnt aspi driver to access the drive(s)
    'none = to don't use any driver to access the drive(s) , it will fail , of course
    Form1.RSPCDDA1.SelectAspiMode "none"
    
    
    'GetNumberOfAdapters  returns the number of host SCSI adapters present.
    Form1.Label1.Caption = "Number of adapters: " & Form1.RSPCDDA1.GetNumberOfAdapters
    
    Form1.Label2.Caption = "Number of CD units: " & Form1.RSPCDDA1.GetNumberOfCDUnits
    
    Form1.Label13.Caption = "Aspi mode:  " & Form1.RSPCDDA1.GetAspiMode
    
    Form1.List1.Clear
    Form1.List2.Clear
    Form1.List3.Clear
    
    'This function will force the raise of the event CDUnitInformation
    'with the description of the valid CD units in the system
    Form1.RSPCDDA1.GetCDUnitInformation
    
    'Initializing the cd unit selection variable to an invalid value
    CdUnitSelection = -1
    
    
End Sub

Private Sub Form_Load()
    
End Sub 'Rsp Software 1/9/2005 10:22:21 PM - http://rspsoftware.clic3.net  info@rspsoftware.clic3.net
